package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb/controller/fe_calendar"
	"hongze/hongze_yb/middleware"
)

func InitFeCalendar(r *gin.Engine) {
	rGroup := r.Group("api/fe_calendar").Use(middleware.Token(), middleware.CheckBaseAuth())
	rGroup.GET("/permission/list", fe_calendar.PermissionList)
	rGroup.GET("/permission/latest_month", fe_calendar.LastestPermissionMonth)
	rGroup.GET("/matter/list", fe_calendar.MatterList)
	rGroup.GET("/matter/detail", fe_calendar.MatterDetail)
}
